Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class URIResourceResolver

    java.lang.Object
      net.sf.saxon.dom.URIResourceResolver

All Implemented Interfaces:
  javax.xml.transform.URIResolver

public class URIResourceResolver
extends java.lang.Object
implements javax.xml.transform.URIResolver

This class implements the JAXP URIResourceResolver as a wrapper around a DOM Level 3 LSResourceResolver. This serves two purposes: it allows the same underlying object to be used in both roles, and it allows an LSResourceResolver to be passed around the system in places where a URIResolver is expected, for example in the PipelineConfiguration

Constructor Summary
`URIResourceResolver(org.w3c.dom.ls.LSResourceResolver resolver)`

Method Summary
`org.w3c.dom.ls.LSResourceResolver` | `getLSResourceResolver()`
`javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)` Called by an XSLT processor when it encounters an xsl:include, xsl:import, or document() function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIResourceResolver

    public URIResourceResolver(org.w3c.dom.ls.LSResourceResolver resolver)

Method Detail

### getLSResourceResolver

    public org.w3c.dom.ls.LSResourceResolver getLSResourceResolver()

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href,
                                              java.lang.String base)
                                       throws javax.xml.transform.TransformerException

  Called by an XSLT processor when it encounters an xsl:include, xsl:import, or document() function.

  Specified by:
    `resolve` in interface `javax.xml.transform.URIResolver`
  Parameters:
    `href` - An href attribute, which may be relative or absolute.
    `base` - The base URI against which the first argument will be made absolute if the absolute URI is required.
  Returns:
    A Source object, or null if the href cannot be resolved, and the processor should try to resolve the URI itself.
  Throws:
    `javax.xml.transform.TransformerException` - if an error occurs when trying to resolve the URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD